# GimpUi.window_set_transient_for_display

    @accepts(Gtk.Window, Gimp.Display)
    @returns(none)
    def window_set_transient_for_display(window, display):
        # Python wrapper for gimp_window_set_transient_for_display()

Indicates to the window manager that window is a transient dialog associated with the GIMP image window that is identified by its display. See [method@Gdk.Window.set_transient_for] for more information.

Most of the time you will want to use the convenience function [func@GimpUi.window_set_transient].

Since 2.4

window

  the Gtk.Window that should become transient

display

  display of the image window that should become the parent